org.eclipse.ecf.remoteservice.rest.client

## Class XMLRemoteResponseDeserializer

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.XMLRemoteResponseDeserializer

All Implemented Interfaces:
  IRemoteResponseDeserializer

    public class XMLRemoteResponseDeserializer
    extends Object
    implements IRemoteResponseDeserializer

This class is a sample implementation of `IRemoteResponseDeserializer`. This will be used to create XML Resource representations and will be registered when the API is started.

### Constructor Summary

Constructors
Constructor and Description
`XMLRemoteResponseDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `deserializeResponse(String uri, IRemoteCall call, IRemoteCallable callable, Map responseHeaders, byte[] responseBody)` Deserialize remote response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLRemoteResponseDeserializer

    public XMLRemoteResponseDeserializer()

### Method Detail

#### deserializeResponse

    public Object deserializeResponse(String uri,
                                      IRemoteCall call,
                                      IRemoteCallable callable,
                                      Map responseHeaders,
                                      byte[] responseBody)
                               throws NotSerializableException

Description copied from interface: `IRemoteResponseDeserializer`
Deserialize remote response.

Specified by:
  `deserializeResponse` in interface `IRemoteResponseDeserializer`
Parameters:
  `uri` - the endpoint. Should not be `null`.
  `call` - the call associated with the parameter to serialize. Will not be `null`.
  `callable` - the callable associated with the parameter to serialize. Will not be `null`.
  `responseHeaders` - response headers associated with the successful remote call. May be `null`.
  `responseBody` - the actual response body to deserialize. May be `null`.
Returns:
  Object the deserialized response. May be `null`.
Throws:
  `NotSerializableException` - thrown if the responseBody cannot be deserialized.